/* ------------------------------------------------------------
                           delay.c

     Modul Verzoegerungsschleife.

     Zeitverzoegerung ist abhaengig von einer globalen
     Definition  XTAL.

     Durch diese wird  eine Verzoegerungszeit von ca. 1mS
     generiert
   ------------------------------------------------------------ */

#include "delay.h"

/* --------------------------------------------------
                          delay

       verzoegert den Programmablauf um dt * 1mS
   -------------------------------------------------- */

void delay(uint16_t dt)
{
  volatile uint16_t i;

  for (i= 0; i< (dt*(XTALFAK)); i++);
}
