/* ------------------------------------------------------------
                           delay.h

     Header Verzoegerungsschleife.

     Zeitverzoegerung ist abhaengig von einer globalen
     Definition  XTAL.

     Durch diese wird  eine Verzoegerungszeit von ca. 1mS
     generiert
   ------------------------------------------------------------ */

#ifndef in_delay
  #define in_delay

  #include <stdint.h>

  #define XTALFAK     ((uint16_t)((long)(XTAL / 190500)))

  void delay(uint16_t dt);

#endif
